curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"status": "<string>",
"round_number": 123,
"total_app_activity_weight": 123,
"active_parties_count": 123,
"activity_records_count": 123,
"total_app_reward_minting_allowance": "<string>",
"total_app_reward_thresholded": "<string>",
"total_app_reward_unclaimed": "<string>",
"rewarded_app_provider_parties_count": 123
}
GET /v0/internal/reward-accounting-process/rounds/:round_number/activity-totals
SV node internal API (CIP-0104, subject to change). Return the CIP-0104 per-round activity totals for the specified round number.
GET
/
api
/
scan
/
v0
/
internal
/
reward-accounting-process
/
rounds
/
{round_number}
/
activity-totals
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"status": "<string>",
"round_number": 123,
"total_app_activity_weight": 123,
"active_parties_count": 123,
"activity_records_count": 123,
"total_app_reward_minting_allowance": "<string>",
"total_app_reward_thresholded": "<string>",
"total_app_reward_unclaimed": "<string>",
"rewarded_app_provider_parties_count": 123
}
SV node internal API (CIP-0104, subject to change). Return the CIP-0104 per-round activity totals for the specified round number.
curl --request GET \
--url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals'
import json
import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals"
response = requests.request("GET", url)
print(response.text)
const response = await fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals', {
method: 'GET',
});
console.log(await response.text());
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
]);
$response = curl_exec($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals", nil)
response, _ := http.DefaultClient.Do(req)
defer response.Body.Close()
body, _ := io.ReadAll(response.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
var request = HttpRequest.newBuilder()
.uri(URI.create("https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
var response = HttpClient.newHttpClient().send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require 'net/http'
require 'uri'
uri = URI('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals')
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port) do |http|
http.request(request)
end
puts response.body
{
"status": "<string>",
"round_number": 123,
"total_app_activity_weight": 123,
"active_parties_count": 123,
"activity_records_count": 123,
"total_app_reward_minting_allowance": "<string>",
"total_app_reward_thresholded": "<string>",
"total_app_reward_unclaimed": "<string>",
"rewarded_app_provider_parties_count": 123
}
Path parameters
number
required
OpenAPI type:
integer (int64).Responses
200
okapplication/json
GetRewardAccountingActivityTotalsResponse
required
Show child attributes
Show child attributes
RewardAccountingActivityTotalsOk
Show child attributes
Show child attributes
string
required
integer (int64)
required
integer (int64)
required
integer (int64)
required
integer (int64)
required
string
required
The total of all minting allowances granted to app providers in this round.
string
required
Total amount of minting allowances that fell below the configured app reward threshold and was thus burned.
string
required
Total amount of app rewards which could not be attributed to app providers in this round because of limit on app rewards per activity (aka the app rewards cap).
integer (int64)
required
History
Updated
0.6.9The GET /v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals operation changed in this snapshot.
Updated
0.6.5The operation moved from GET /v0/reward-accounting-process/rounds/{round_number}/activity-totals to GET /v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals.
Added
0.6.0